"""Initial database schema

Revision ID: 5271d18372e5
Revises: 5e8b6dde50fc
Create Date: 2025-05-17 14:39:03.690180

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = '5271d18372e5'
down_revision: Union[str, None] = '5e8b6dde50fc'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    """Upgrade schema."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('expenses', sa.Column('created_by_user_id', sa.Integer(), nullable=False))
    op.create_index(op.f('ix_expenses_created_by_user_id'), 'expenses', ['created_by_user_id'], unique=False)
    op.create_foreign_key(None, 'expenses', 'users', ['created_by_user_id'], ['id'])
    op.add_column('settlements', sa.Column('created_by_user_id', sa.Integer(), nullable=False))
    op.create_index(op.f('ix_settlements_created_by_user_id'), 'settlements', ['created_by_user_id'], unique=False)
    op.create_foreign_key(None, 'settlements', 'users', ['created_by_user_id'], ['id'])
    # ### end Alembic commands ###


def downgrade() -> None:
    """Downgrade schema."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'settlements', type_='foreignkey')
    op.drop_index(op.f('ix_settlements_created_by_user_id'), table_name='settlements')
    op.drop_column('settlements', 'created_by_user_id')
    op.drop_constraint(None, 'expenses', type_='foreignkey')
    op.drop_index(op.f('ix_expenses_created_by_user_id'), table_name='expenses')
    op.drop_column('expenses', 'created_by_user_id')
    # ### end Alembic commands ###
